unit GenIRQThreads;

interface

uses
  Windows, SysUtils, Classes;

type
  TGenIRQThread = class(TThread)
  protected
    procedure Execute; override;
  public
    iCard: Integer;
    LastStatus: LongWord;
  end;

implementation

uses
  AIOWDM,
  MainUnit;

{ TGenIRQThread }

procedure TGenIRQThread.Execute;
var
  CardNum: Integer;

begin
  LastStatus := ERROR_SUCCESS;
  CardNum := MainForm.CardData[iCard].CardNum;
  while WaitForIRQ(CardNum) <> 0 do begin
    InterlockedIncrement(MainForm.CardData[iCard].IRQCount);
  end;

  LastStatus := GetLastError;
end;

end.
